OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
ojph_expand_fuzz_target.cpp File Reference
`#include <cstdint>`
`#include <cstdio>`
`#include <cstdlib>`
`#include <ctime>`
`#include <vector>`
`#include <ojph_arch.h>`
`#include <ojph_file.h>`
`#include <ojph_params.h>`
`#include <ojph_mem.h>`
`#include <ojph_codestream.h>`
`#include <ojph_message.h>`
`#include <exception>`

Go to the source code of this file.

## Functions
int | LLVMFuzzerTestOneInput (const uint8_t *Data, size_t Size)

## Function Documentation

## ◆ LLVMFuzzerTestOneInput()

int LLVMFuzzerTestOneInput | ( | const uint8_t * | Data,
|  | size_t | Size )

Definition at line 50 of file ojph_expand_fuzz_target.cpp.

References ojph::codestream::access_cod(), ojph::codestream::access_siz(), ojph::codestream::close(), ojph::codestream::create(), ojph::codestream::enable_resilience(), ojph::param_siz::get_image_extent(), ojph::param_siz::get_image_offset(), ojph::param_siz::get_num_components(), ojph::param_cod::get_num_decompositions(), ojph::param_cod::get_precinct_size(), ojph::param_siz::get_recon_height(), ojph::param_siz::get_recon_width(), ojph::size::h, ojph::codestream::is_planar(), ojph::mem_infile::open(), ojph::codestream::pull(), ojph::codestream::read_headers(), ojph::codestream::restrict_input_resolution(), ojph::codestream::set_planar(), ojph::size::w, ojph::point::x, and ojph::point::y.